# Get Metastore Summary

Launch stage: GA

`GET /api/2.1/unity-catalog/metastore_summary`

Gets information about a metastore.
 This summary includes the storage credential, the cloud vendor, the cloud region, and the global metastore ID.

API scopes: unity-catalog

## Returns

- `metastore_id` (string, optional)
  Unique identifier of metastore.
- `name` (string, optional)
  The user-specified name of the metastore.
- `default_data_access_config_id` (string, optional)
  Unique identifier of the metastore's (Default) Data Access Configuration.
- `storage_root_credential_id` (string, optional)
  UUID of storage credential to access the metastore storage_root.
- `cloud` (string, optional)
  Cloud vendor of the metastore home shard (e.g., `aws`, `azure`, `gcp`).
- `region` (string, optional)
  Cloud region which the metastore serves (e.g., `us-west-2`, `westus`).
- `global_metastore_id` (string, optional)
  Globally unique metastore ID across clouds and regions, of the form `cloud:region:metastore_id`.
- `storage_root_credential_name` (string, optional)
  Name of the storage credential to access the metastore storage_root.
- `privilege_model_version` (string, optional)
  Privilege model version of the metastore, of the form `major.minor` (e.g., `1.0`).
- `delta_sharing_scope` (string, optional)
  The scope of Delta Sharing enabled for the metastore.
  Possible values: `INTERNAL`, `INTERNAL_AND_EXTERNAL`
- `delta_sharing_recipient_token_lifetime_in_seconds` (int64, optional)
  The lifetime of delta sharing recipient token in seconds.
- `delta_sharing_organization_name` (string, optional)
  The organization name of a Delta Sharing entity, to be used in Databricks-to-Databricks Delta Sharing as the official name.
- `storage_root` (string, optional)
  The storage root URL for metastore
- `owner` (string, optional)
  The owner of the metastore.
- `created_at` (int64, optional)
  Time at which this metastore was created, in epoch milliseconds.
- `created_by` (string, optional)
  Username of metastore creator.
- `updated_at` (int64, optional)
  Time at which the metastore was last modified, in epoch milliseconds.
- `updated_by` (string, optional)
  Username of user who last modified the metastore.
- `external_access_enabled` (boolean, optional)
  Whether to allow non-DBR clients to directly access entities under the metastore.

## Response

```json
{
  "metastore_id": "string",
  "name": "string",
  "default_data_access_config_id": "string",
  "storage_root_credential_id": "string",
  "cloud": "string",
  "region": "string",
  "global_metastore_id": "string",
  "storage_root_credential_name": "string",
  "privilege_model_version": "string",
  "delta_sharing_scope": "string",
  "delta_sharing_recipient_token_lifetime_in_seconds": 0,
  "delta_sharing_organization_name": "string",
  "storage_root": "string",
  "owner": "string",
  "created_at": 0,
  "created_by": "string",
  "updated_at": 0,
  "updated_by": "string",
  "external_access_enabled": true
}
```

